/*---------- fuentes pagina ----------*/
@font-face {
  font-family: 'futura';
  src: url(./fonts/FuturBlack.woff) format('woff');
  font-weight: 900;
  font-style: normal;
}
@font-face {
  font-family: 'futura';
  src: url(./fonts/FuturBold.woff) format('woff');
  font-weight: 600;
  font-style: normal;
}
@font-face {
  font-family: 'futura';
  src: url(./fonts/FuturaLightItalic.woff) format('woff');
  font-weight: 400;
  font-style: normal;
}
@font-face {
  font-family: 'futura';
  src: url(./fonts/FuturLight.woff) format('woff');
  font-weight: 300;
  font-style: normal;
}

@keyframes glitchPc {
  0%,
  100% {
    background: url('imgs/glitchPc1.png');
    background-size: cover;
    mix-blend-mode: lighten;
    opacity: 0;
  }
  97% {
    background: url('imgs/glitchPc2.png');
    background-size: cover;
    mix-blend-mode: lighten;
    opacity: 1;
  }
  98% {
    background: url('imgs/glitchPc3.png');
    background-size: cover;
    mix-blend-mode: lighten;
    opacity: 1;
  }
  99% {
    background: url('imgs/glitchPc4.png');
    background-size: cover;
    mix-blend-mode: lighten;
    opacity: 1;
  }
}
/*---------- Seteo pagina ----------*/
:root {
  --primary-clr: #ff4500;
  --secondary-clr: #1e1e1e;
  --textos-slider: rgb(255, 255, 255);
  --cubic-bezi: cubic-bezier(0.87, 0.01, 0, 1.37);
}
*,
::before,
::after {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: 'futura';
  border: 0px transparent solid;
  overflow: hidden;
}

.generic {
  width: 100vw;
  height: 100vh;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;

  .parallax {
    pointer-events: none;
    user-select: none;
    transform: translateX(var(--translateX)) translateY(var(--translateY))
      rotateY(var(--rotateY)) perspective(2300px) translateZ(var(--translateZ));
    transform-style: preserve-3d;
    transition: transform 300ms cubic-bezier(0.17, 0.18, 0, 0.75);
  }

  .backComing {
    position: absolute;
    height: 130vh;
    z-index: 1;
  }

  .cloudsBack {
    position: absolute;
    height: 130vh;
    z-index: 2;
  }

  .leyendaDerecha {
    position: absolute;
    top: 0;
    left: 3%;
    height: 85%;
    z-index: 2;
  }

  .leyendaIzquierda {
    position: absolute;
    top: 0;
    right: 3%;
    height: 85%;
    z-index: 2;
  }

  .textBack {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: absolute;
    top: 7%;
    color: #000;
    z-index: 3;

    & p {
      font-weight: 400;
      text-transform: uppercase;
      line-height: 0.9em;
      font-size: 6em;
      text-align: center;
      padding: 0 0.1em;
    }

    & h1 {
      text-transform: uppercase;
      font-size: 10em;
      line-height: 0.9em;
      color: transparent;
      text-align: center;
      padding: 0 0.1em;
      -webkit-text-stroke: 1.5px #000;
    }
  }

  .zapatoBack {
    left: 25%;
    width: 30%;
    position: absolute;
    z-index: 4;
  }

  .zapatoFront {
    right: 30%;
    width: 25%;
    position: absolute;
    z-index: 5;
  }
  .nubesFront {
    position: absolute;
    height: 50%;
    bottom: -2%;
    z-index: 6;
  }
  .cherry {
    position: absolute;
    left: 0;
    top: 0;
    height: 20%;
    z-index: 7;
  }

  .bananas {
    position: absolute;
    right: -1%;
    top: -1%;
    height: 20%;
    z-index: 8;
  }
  .peach {
    position: absolute;
    left: -2%;
    bottom: -2%;
    height: 40%;
    z-index: 9;
  }
  .berry {
    position: absolute;
    right: -1%;
    bottom: -1%;
    height: 10%;
    z-index: 10;
  }
  .frontCloud {
    position: absolute;
    height: 100%;
    bottom: -10%;
    z-index: 11;
  }
  .logoTienda {
    position: absolute;
    height: 15%;
    bottom: 5%;
    z-index: 60;
  }

  .redes {
    top: 5%;
    right: 6%;
    padding: 1em;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1em;
    position: absolute;
    z-index: 10;

    & a {
      width: 50px;
      height: 50px;
      display: flex;
      align-items: center;
      justify-content: center;
      padding: 1em;
      border-radius: 50%;
      border: 0px solid transparent;
      background-color: rgba(0, 0, 0, 0.7);
      transition: all 300ms ease;

      & ion-icon {
        color: #fff;
        font-size: 1.6em;
      }

      &:hover {
        width: 51px;
        height: 51px;
        border: 1px solid #fff;
        background-color: rgba(255, 255, 255, 0.3);
        transition: all 300ms ease;

        & ion-icon {
          color: #fff;
          font-size: 2em;
        }
      }
    }
  }
  .glitch {
    position: absolute;
    width: 100vw;
    height: 100vh;
    background: url('');
    background-size: cover;
    mix-blend-mode: lighten;
    z-index: 9;
    animation: glitchPc 5s infinite steps(1);
    -webkit-animation: glitchPc 5s infinite steps(1);
    -moz-animation: glitchPc 5s infinite steps(1);
    -ms-animation: glitchPc 5s infinite steps(1);
    -o-animation: glitchPc 5s infinite steps(1);
  }
}

/* BREAK POINTS */
@media screen and (max-width: 1024px) {
  .generic {
    .backComing {
      position: absolute;
      bottom: -3.5%;
      height: 130vh;
      z-index: 1;
    }

    .leyendaDerecha {
      position: absolute;
      top: -5%;
      left: -7%;
      height: 80%;
      z-index: 2;
    }

    .leyendaIzquierda {
      position: absolute;
      top: 3%;
      right: 3%;
      height: 80%;
      z-index: 2;
    }

    .textBack {
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
      position: absolute;
      top: 10%;
      z-index: 3;

      & p {
        font-weight: 400;
        text-transform: uppercase;
        line-height: 0.9em;
        font-size: 5em;
        padding: 0 0.1em;
      }

      & h1 {
        text-transform: uppercase;
        font-size: 9em;
        line-height: 0.9em;
        color: transparent;
        padding: 0 0.1em;
      }
    }

    .zapatoBack {
      top: 35%;
      left: 10%;
      width: 60%;
      position: absolute;
      z-index: 4;
    }

    .zapatoFront {
      top: 30%;
      right: 12%;
      width: 45%;
      position: absolute;
      z-index: 5;
    }

    .logoTienda {
      position: absolute;
      height: 12%;
      bottom: 6%;
      z-index: 60;
    }

    .cherry {
      height: 15%;
    }
    .bananas {
      right: -5%;
      top: -3%;
      height: 15%;
    }
    .peach {
      position: absolute;
      left: -2%;
      bottom: -2%;
      height: 27%;
      z-index: 9;
    }
    .berry {
      position: absolute;
      right: -1%;
      bottom: -1%;
      height: 10%;
      z-index: 100;
    }
    .redes {
      top: 2%;
      right: 3%;
      padding: 1em;
      display: flex;
      justify-content: center;
      align-items: center;
      gap: 1em;
      position: absolute;
      z-index: 10;

      & a {
        width: 80px;
        height: 80px;
        display: flex;
        align-items: center;
        justify-content: center;
        padding: 1em;
        border-radius: 50%;
        border: 0px solid transparent;
        background-color: rgba(0, 0, 0, 0.8);
        transition: all 300ms ease;

        & ion-icon {
          color: #fff;
          font-size: 2.2em;
        }

        &:hover {
          width: 51px;
          height: 51px;
          border: 1px solid #fff;
          background-color: rgba(255, 255, 255, 0.3);
          transition: all 300ms ease;

          & ion-icon {
            color: #fff;
            font-size: 2em;
          }
        }
      }
    }
  }
}

@media screen and (max-width: 768px) {
  .generic {
    .backComing {
      position: absolute;
      bottom: -10%;
      height: 130vh;
      z-index: 1;
    }

    .leyendaDerecha {
      position: absolute;
      top: -5%;
      left: -7%;
      height: 55%;
      z-index: 2;
    }

    .leyendaIzquierda {
      position: absolute;
      top: 6%;
      right: 10%;
      height: 55%;
      z-index: 2;
    }

    .textBack {
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
      position: absolute;
      top: 10%;
      z-index: 3;

      & p {
        font-weight: 400;
        text-transform: uppercase;
        line-height: 0.9em;
        font-size: 4em;
        padding: 0 0.1em;
      }

      & h1 {
        text-transform: uppercase;
        font-size: 7em;
        line-height: 0.9em;
        color: transparent;
        padding: 0 0.1em;
      }
    }

    .zapatoBack {
      left: 10%;
      top: 30%;
      width: 55%;
      position: absolute;
      z-index: 4;
    }

    .zapatoFront {
      right: 13%;
      top: 30%;
      width: 45%;
      position: absolute;
      z-index: 5;
    }

    .logoTienda {
      position: absolute;
      height: 10%;
      bottom: 6%;
      z-index: 60;
    }

    .cherry {
      height: 15%;
    }
    .bananas {
      right: -5%;
      top: -3%;
      height: 15%;
    }
    .peach {
      position: absolute;
      left: -2%;
      bottom: -2%;
      height: 27%;
      z-index: 9;
    }
    .berry {
      position: absolute;
      right: -1%;
      bottom: -1%;
      height: 10%;
      z-index: 100;
    }

    .redes {
      top: 2%;
      right: 5%;
      padding: 1em;
      display: flex;
      justify-content: center;
      align-items: center;
      gap: 1em;
      position: absolute;
      z-index: 10;

      & a {
        width: 50px;
        height: 50px;
        display: flex;
        align-items: center;
        justify-content: center;
        padding: 1em;
        border-radius: 50%;
        border: 0px solid transparent;
        background-color: rgba(0, 0, 0, 0.8);
        transition: all 300ms ease;

        & ion-icon {
          color: #fff;
          font-size: 2.2em;
        }

        &:hover {
          width: 51px;
          height: 51px;
          border: 1px solid #fff;
          background-color: rgba(255, 255, 255, 0.3);
          transition: all 300ms ease;

          & ion-icon {
            color: #fff;
            font-size: 2em;
          }
        }
      }
    }
  }
}

@media screen and (max-width: 480px) {
  .generic {
    .backComing {
      position: absolute;
      bottom: -10%;
      height: 130vh;
      z-index: 1;
    }

    .leyendaDerecha {
      position: absolute;
      top: -5%;
      left: -7%;
      height: 55%;
      z-index: 2;
    }

    .leyendaIzquierda {
      position: absolute;
      top: 2%;
      right: 3%;
      height: 55%;
      z-index: 2;
    }

    .textBack {
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
      position: absolute;
      top: 13%;
      z-index: 3;

      & p {
        font-weight: 400;
        text-transform: uppercase;
        line-height: 0.9em;
        font-size: 2.8em;
        padding: 0 0.1em;
        text-align: center;
      }

      & h1 {
        text-transform: uppercase;
        font-size: 4.3em;
        line-height: 0.9em;
        color: transparent;
        text-align: center;
      }
    }

    .zapatoBack {
      left: 10%;
      top: 30%;
      width: 70%;
      position: absolute;
      z-index: 4;
    }

    .zapatoFront {
      right: 20%;
      top: 40%;
      width: 60%;
      position: absolute;
      z-index: 5;
    }

    .logoTienda {
      position: absolute;
      height: 10%;
      bottom: 6%;
      z-index: 60;
    }

    .cherry {
      height: 10%;
    }
    .bananas {
      right: -5%;
      top: -3%;
      height: 10%;
    }
    .peach {
      position: absolute;
      left: -2%;
      bottom: -2%;
      height: 20%;
      z-index: 9;
    }
    .berry {
      position: absolute;
      right: -1%;
      bottom: -1%;
      height: 10%;
      z-index: 100;
    }

    .redes {
      top: 1%;
      right: 1%;
      padding: 1em;
      display: flex;
      justify-content: center;
      align-items: center;
      gap: 1em;
      position: absolute;
      z-index: 10;

      & a {
        width: 44px;
        height: 44px;
        display: flex;
        align-items: center;
        justify-content: center;
        padding: 0.5em;
        border-radius: 50%;
        border: 0px solid transparent;
        background-color: rgba(0, 0, 0, 0.8);
        transition: all 300ms ease;

        & ion-icon {
          color: #fff;
          font-size: 1.2em;
        }

        &:hover {
          width: 45px;
          height: 45px;
          border: 1px solid #fff;
          background-color: rgba(255, 255, 255, 0.3);
          transition: all 300ms ease;

          & ion-icon {
            color: #fff;
            font-size: 2em;
          }
        }
      }
    }
  }
}
